Package plugins :: Package core :: Package shell :: Module main :: Class XYZPlugin

[hide private]
[frames] | no frames]

# Class XYZPlugin

source code

    libxyz.core.plugins.BasePlugin --+
                                     |
                                    XYZPlugin

Shell plugin

Instance Methods | [hide private]

__init__(self, xyz) | source code

prepare(self) | source code

execute(self, cmd, wait=None) Execute command in shell | source code

echo(self, msg) Echo a message to terminal output | source code

_press_key(self, msg, key) Print prompt and wait for the key to be pressed | source code

_exec_engine(self, cmd, cmdf, wait=None) Execute command engine | source code

Class Variables | [hide private]

| NAME = `u"shell"`
| AUTHOR = `u"Max E. Kuznecov <syhpoon@syhpoon.name>"`
| VERSION = `u"0.2"`
| BRIEF_DESCRIPTION = `_(u"Shell wrapper")`
| FULL_DESCRIPTION = `_(u"Execute commands in external shell")`
| NAMESPACE = `u"core"`
| MIN_XYZ_VERSION = `None`
| DOC = `u"Configuration variables:\n" u"wait - Boolean flag indi`...``
| HOMEPAGE = `"http://xyzcmd.syhpoon.name"`
| EVENTS = `[("execute", _(u"Fires before command execution. " u"`...``
| shell_args = `{"sh": ["-c"], "bash": ["-c"], "zsh": ["-c"]}`
| shell_setup = `{"bash": bash_setup}`

Class Variable Details | [hide private]

### DOC

Value:

      u"Configuration variables:\n" u"wait - Boolean flag indicating whether
       to wait for user pressing " u"key after command executed. Default Tru
      e\n" u"setup_shell - Boolean flag indicating whether to run " u"system
       shell-specific initialization. Default True"

### EVENTS

Value:

      [("execute", _(u"Fires before command execution. " u"Arguments: a comm
      and to be executed")),]